## javax.portlet
Class PortletSecurityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.portlet.PortletException
                  javax.portlet.PortletSecurityException

All Implemented Interfaces:
  java.io.Serializable

    public class PortletSecurityException

extends PortletException

A portlet should throw a `PortletSecurityException` when a call fails because of security reasons.
Additionally it can be thrown by the portal/portlet-container.

See Also:
  Serialized Form

Constructor Summary
`PortletSecurityException(java.lang.String text)` Constructs a new security exception with the given text.
`PortletSecurityException(java.lang.String text, java.lang.Throwable cause)` Constructs a new portlet security exception when the portlet needs to do the following: <il>throw an exception include a message about the "root cause" that interfered with its normal operation include a description message
`PortletSecurityException(java.lang.Throwable cause)` Constructs a new portlet security exception when the portlet needs to throw an exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletSecurityException

    public PortletSecurityException(java.lang.String text)

  Constructs a new security exception with the given text. The portlet container may use the text write it to a log.

  Parameters:
    `text` - the exception text

### PortletSecurityException

    public PortletSecurityException(java.lang.String text,
                                    java.lang.Throwable cause)

  Constructs a new portlet security exception when the portlet needs to do the following:
  <il>throw an exception
  - include a message about the "root cause" that interfered with its normal operation
  - include a description message

  Parameters:
    `text` - the exception text
    `cause` - the root cause

### PortletSecurityException

    public PortletSecurityException(java.lang.Throwable cause)

  Constructs a new portlet security exception when the portlet needs to throw an exception. The exception message is based on the localized message of the underlying exception.

  Parameters:
    `cause` - the root cause

Copyright © 2010. All Rights Reserved.